summaryrefslogtreecommitdiff
path: root/dev-python/pyxdg
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-21 05:41:55 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-21 05:41:55 +0000
commit7ebc77b21080e020c5d7457a2fcbbcf5606308b1 (patch)
treeeedc7f6ec6633b83dbc0c4e03c3a0f2628551a7b /dev-python/pyxdg
parentf4e4dc8ea72bb62021fac69c8c7b1580c3b2434f (diff)
downloadbaldeagleos-repo-7ebc77b21080e020c5d7457a2fcbbcf5606308b1.tar.gz
baldeagleos-repo-7ebc77b21080e020c5d7457a2fcbbcf5606308b1.tar.xz
baldeagleos-repo-7ebc77b21080e020c5d7457a2fcbbcf5606308b1.zip
Adding metadata
Diffstat (limited to 'dev-python/pyxdg')
-rw-r--r--dev-python/pyxdg/pyxdg-0.27-r1.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/dev-python/pyxdg/pyxdg-0.27-r1.ebuild b/dev-python/pyxdg/pyxdg-0.27-r1.ebuild
new file mode 100644
index 000000000000..458d2c2ecbfb
--- /dev/null
+++ b/dev-python/pyxdg/pyxdg-0.27-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P="${PN}-rel-${PV}"
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="A Python module to deal with freedesktop.org specifications"
+HOMEPAGE="https://freedesktop.org/wiki/Software/pyxdg https://cgit.freedesktop.org/xdg/pyxdg/"
+SRC_URI="https://github.com/takluyver/${PN}/archive/rel-${PV}.tar.gz -> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # epytest does not work here for some reason:
+ # No such file or directory: '-vv'
+ #
+ # Can't import xdg unless already installed,
+ # workaround with PYTHONPATH
+ PYTHONPATH="${S}" pytest test/* -vv || die "Tests failed with ${EPYTHON}"
+}